package api

import (
	"github.com/gin-gonic/gin"
	"github.com/goWxHook/goWxHook/core"
	"github.com/goWxHook/goWxHook/utils"
)

// getMiniProgramCode
//
//	@Summary		获取小程序授权Code
//	@Description	获取小程序授权Code接口
//	@Tags			小程序
//	@Accept			json
//	@Produce		json
//	@Param			body	body		core.GetMiniProgramCodeRequest									true	"小程序信息"
//	@Response		200		{object}	CommonStringResponse{Data=core.GetMiniProgramCodeResponseData}	"{\"code\":0, ....}
//	@Router			/api/v1/mini/program/code [post]
func (w *WebApi) getMiniProgramCode(c *gin.Context) {
	var form core.GetMiniProgramCodeRequest
	err := c.ShouldBindJSON(&form)
	if err != nil {
		utils.ResponseError(c, err.Error(), nil)
		return
	}
	info, err := w.WxApi.GetMiniProgramCode(form)
	if err != nil {
		utils.ResponseError(c, err.Error(), nil)
		return
	}
	utils.ResponseOK(c, "success", info)
	return
}
